module Hyrax
  module Workflow
    ##
    # This is a built in function for workflow, so that a workflow action can be created that
    #  Transfer Ownership for dataset
    module MakeVisibilityPublic
      def self.call(target:, **)
        target.update(visibility: Hydra::AccessControls::AccessRight::VISIBILITY_TEXT_VALUE_PUBLIC)
        VisibilityCopyJob.perform_later(target)
      end
    end
  end
end
